Bug 249601 - [steps] Kate crashed while attempting to modify a MIME type [KMimeTypeChooserPrivate::_k_slotCurrentChanged, ..., QTreeWidget::currentItemChanged, ..., KMimeTypeChooserPrivate::loadMimeTypes]
Summary: [steps] Kate crashed while attempting to modify a MIME type [KMimeTypeChooser...
Status: RESOLVED FIXED
Alias: None
Product: kio
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: David Faure
URL:
Keywords: testcase
Depends on:
Blocks:
 
Reported: 2010-08-31 11:42 UTC by pathematica
Modified: 2013-02-07 17:49 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.10.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pathematica 2010-08-31 11:42:02 UTC
Application: kate (3.4.2)
KDE Platform Version: 4.4.2 (KDE 4.4.2)
Qt Version: 4.6.2
Operating System: Linux 2.6.32-24-generic i686
Distribution: Ubuntu 10.04.1 LTS

-- Information about the crash:
I was running Kate from Gnome over Ubuntu 10.04. I was creating Octave scripts which had suffix *.m. I was seeking a way to make Kate automatically recognise *.m files as Octave (rather than MATLAB) so that it would automatically apply appropriate highlighting (I can obtain the correct highlighting for Octave files individually - I was trying to find a way to make this apply to all files of this type). I was in "Settings|Configure Kate|Open/Save|Modes&Filetypes|MIMEtypes" I had edited the entry "MATLAB script/function" to "Octave script/function". The crash occurred (reproducibly) on pressing either "OK" or "Apply". I apologise if I was misguided in my attempt to associate *.m files with Octave in this way and I was trying to do something that might appear dumb to those with more insight!

The crash can be reproduced every time.

 -- Backtrace:
Application: Kate (kate), signal: Segmentation fault
[KCrash Handler]
#6  0x06a1595f in KMimeTypeChooserPrivate::_k_slotCurrentChanged (this=0xb0e30a8, item=0x0) at ../../kio/kio/kmimetypechooser.cpp:220
#7  0x06a17cd2 in KMimeTypeChooser::qt_metacall (this=0xb3d8b90, _c=QMetaObject::InvokeMetaMethod, _id=28, _a=0xbf920414) at ./kmimetypechooser.moc:77
#8  0x06529c9a in QMetaObject::metacall (object=0xb3d8b90, cl=3214017556, idx=28, argv=0xbf920414) at kernel/qmetaobject.cpp:237
#9  0x065383d5 in QMetaObject::activate (sender=0xb0f8190, m=0x18d0510, local_signal_index=8, argv=0xbf920414) at kernel/qobject.cpp:3293
#10 0x015ba2e9 in QTreeWidget::currentItemChanged (this=0xb0f8190, _t1=0x0, _t2=0xb28b278) at .moc/release-shared/moc_qtreewidget.cpp:256
#11 0x015bca35 in QTreeWidgetPrivate::_q_emitCurrentItemChanged (this=0xb1fe430, current=..., previous=...) at itemviews/qtreewidget.cpp:2283
#12 0x015c6aef in QTreeWidget::qt_metacall (this=0xb0f8190, _c=QMetaObject::InvokeMetaMethod, _id=23, _a=0xbf920574) at .moc/release-shared/moc_qtreewidget.cpp:157
#13 0x06529c9a in QMetaObject::metacall (object=0xb0f8190, cl=3214017556, idx=111, argv=0xbf920574) at kernel/qmetaobject.cpp:237
#14 0x065383d5 in QMetaObject::activate (sender=0xb1a80d8, m=0x18cfe30, local_signal_index=1, argv=0xbf920574) at kernel/qobject.cpp:3293
#15 0x015955a9 in QItemSelectionModel::currentChanged (this=0xb1a80d8, _t1=..., _t2=...) at .moc/release-shared/moc_qitemselectionmodel.cpp:159
#16 0x0159ad46 in QItemSelectionModel::clear (this=0xb1a80d8) at itemviews/qitemselectionmodel.cpp:1112
#17 0x015bc0fd in QTreeWidget::clear (this=0xb0f8190) at itemviews/qtreewidget.cpp:3262
#18 0x06a16750 in KMimeTypeChooserPrivate::loadMimeTypes (this=0xb0e30a8, _selectedMimeTypes=...) at ../../kio/kio/kmimetypechooser.cpp:133
#19 0x06a1775e in KMimeTypeChooserPrivate::_k_slotSycocaDatabaseChanged (this=0xb0e30a8, changedResources=...) at ../../kio/kio/kmimetypechooser.cpp:226
#20 0x06a17cb0 in KMimeTypeChooser::qt_metacall (this=0xb3d8b90, _c=QMetaObject::InvokeMetaMethod, _id=29, _a=0xbf9208f8) at ./kmimetypechooser.moc:78
#21 0x06529c9a in QMetaObject::metacall (object=0xb3d8b90, cl=3214017556, idx=29, argv=0xbf9208f8) at kernel/qmetaobject.cpp:237
#22 0x065383d5 in QMetaObject::activate (sender=0x9fb4ba8, m=0x3668f0, local_signal_index=1, argv=0xbf9208f8) at kernel/qobject.cpp:3293
#23 0x002efb73 in KSycoca::databaseChanged (this=0x9fb4ba8, _t1=...) at ./ksycoca.moc:98
#24 0x002efec8 in KSycoca::notifyDatabaseChanged (this=0x9fb4ba8, changeList=...) at ../../kdecore/sycoca/ksycoca.cpp:360
#25 0x002eff75 in KSycoca::qt_metacall (this=0x9fb4ba8, _c=QMetaObject::InvokeMetaMethod, _id=6, _a=0xbf920a9c) at ./ksycoca.moc:80
#26 0x0038cb34 in QDBusConnectionPrivate::deliverCall (this=0x9e83810, object=0x9fb4ba8, msg=..., metaTypes=..., slotIdx=6) at qdbusintegrator.cpp:904
#27 0x00397ea7 in QDBusCallDeliveryEvent::placeMetaCall (this=0xa4eb130, object=0x9fb4ba8) at qdbusintegrator_p.h:101
#28 0x065353fe in QObject::event (this=0x9fb4ba8, e=0xa4eb130) at kernel/qobject.cpp:1248
#29 0x00f9a4dc in QApplicationPrivate::notify_helper (this=0x9e89c78, receiver=0x9fb4ba8, e=0xa4eb130) at kernel/qapplication.cpp:4300
#30 0x00fa105e in QApplication::notify (this=0xbf923764, receiver=0x9fb4ba8, e=0xa4eb130) at kernel/qapplication.cpp:3704
#31 0x02e1bf2a in KApplication::notify (this=0xbf923764, receiver=0x9fb4ba8, event=0xa4eb130) at ../../kdeui/kernel/kapplication.cpp:302
#32 0x06524a3b in QCoreApplication::notifyInternal (this=0xbf923764, receiver=0x9fb4ba8, event=0xa4eb130) at kernel/qcoreapplication.cpp:704
#33 0x06527473 in QCoreApplication::sendEvent (receiver=0x0, event_type=0, data=0x9e6b2c0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#34 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x9e6b2c0) at kernel/qcoreapplication.cpp:1345
#35 0x065275dd in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1238
#36 0x06550adf in QCoreApplication::sendPostedEvents (s=0x9e8bab0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#37 postEventSourceDispatch (s=0x9e8bab0) at kernel/qeventdispatcher_glib.cpp:276
#38 0x0048e5e5 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#39 0x004922d8 in ?? () from /lib/libglib-2.0.so.0
#40 0x004924b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#41 0x065505d5 in QEventDispatcherGlib::processEvents (this=0x9e6b4a0, flags=...) at kernel/qeventdispatcher_glib.cpp:412
#42 0x0105a135 in QGuiEventDispatcherGlib::processEvents (this=0x9e6b4a0, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#43 0x06523059 in QEventLoop::processEvents (this=0xbf9212c0, flags=) at kernel/qeventloop.cpp:149
#44 0x065234aa in QEventLoop::exec (this=0xbf9212c0, flags=...) at kernel/qeventloop.cpp:201
#45 0x014d94f3 in QDialog::exec (this=0xbf921338) at dialogs/qdialog.cpp:546
#46 0x04889ce9 in ModeConfigPage::showMTDlg (this=0xb3a1e98) at ../../kate/mode/katemodeconfigpage.cpp:288
#47 0x0488a063 in ModeConfigPage::qt_metacall (this=0xb3a1e98, _c=QMetaObject::InvokeMetaMethod, _id=41, _a=0xbf9214d8) at ./katemodeconfigpage.moc:93
#48 0x06529c9a in QMetaObject::metacall (object=0xb3a1e98, cl=3214017556, idx=41, argv=0xbf9214d8) at kernel/qmetaobject.cpp:237
#49 0x065383d5 in QMetaObject::activate (sender=0xb3aa9d8, m=0x18d58c4, local_signal_index=2, argv=0xbf9214d8) at kernel/qobject.cpp:3293
#50 0x016c5479 in QAbstractButton::clicked (this=0xb3aa9d8, _t1=false) at .moc/release-shared/moc_qabstractbutton.cpp:206
#51 0x013a4ea9 in QAbstractButtonPrivate::emitClicked (this=0xb3ab028) at widgets/qabstractbutton.cpp:546
#52 0x013a5cf4 in QAbstractButtonPrivate::click (this=0xb3ab028) at widgets/qabstractbutton.cpp:539
#53 0x013a5fae in QAbstractButton::mouseReleaseEvent (this=0xb3aa9d8, e=0xbf921c20) at widgets/qabstractbutton.cpp:1121
#54 0x0148909c in QToolButton::mouseReleaseEvent (this=0xb3aa9d8, e=0xbf921c20) at widgets/qtoolbutton.cpp:721
#55 0x00ff87f8 in QWidget::event (this=0xb3aa9d8, event=0xbf921c20) at kernel/qwidget.cpp:7998
#56 0x013a4d4e in QAbstractButton::event (this=0xb3aa9d8, e=0x0) at widgets/qabstractbutton.cpp:1080
#57 0x0148bbca in QToolButton::event (this=0xb3aa9d8, event=0xbf921c20) at widgets/qtoolbutton.cpp:1163
#58 0x00f9a4dc in QApplicationPrivate::notify_helper (this=0x9e89c78, receiver=0xb3aa9d8, e=0xbf921c20) at kernel/qapplication.cpp:4300
#59 0x00fa19f7 in QApplication::notify (this=0xbf923764, receiver=0xb3aa9d8, e=0xbf921c20) at kernel/qapplication.cpp:3865
#60 0x02e1bf2a in KApplication::notify (this=0xbf923764, receiver=0xb3aa9d8, event=0xbf921c20) at ../../kdeui/kernel/kapplication.cpp:302
#61 0x06524a3b in QCoreApplication::notifyInternal (this=0xbf923764, receiver=0xb3aa9d8, event=0xbf921c20) at kernel/qcoreapplication.cpp:704
#62 0x00fa0952 in QCoreApplication::sendEvent (receiver=0xb3aa9d8, event=0xbf921c20, alienWidget=0xb3aa9d8, nativeWidget=0xaf2e950, buttonDown=0x18de058, lastMouseReceiver=..., spontaneous=true)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#63 QApplicationPrivate::sendMouseEvent (receiver=0xb3aa9d8, event=0xbf921c20, alienWidget=0xb3aa9d8, nativeWidget=0xaf2e950, buttonDown=0x18de058, lastMouseReceiver=..., spontaneous=true)
    at kernel/qapplication.cpp:2965
#64 0x0102c088 in QETWidget::translateMouseEvent (this=0xaf2e950, event=0xbf92213c) at kernel/qapplication_x11.cpp:4368
#65 0x0102b511 in QApplication::x11ProcessEvent (this=0xbf923764, event=0xbf92213c) at kernel/qapplication_x11.cpp:3379
#66 0x0105a60a in x11EventSourceDispatch (s=0x9e8bdf8, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#67 0x0048e5e5 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#68 0x004922d8 in ?? () from /lib/libglib-2.0.so.0
#69 0x004924b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#70 0x065505d5 in QEventDispatcherGlib::processEvents (this=0x9e6b4a0, flags=...) at kernel/qeventdispatcher_glib.cpp:412
#71 0x0105a135 in QGuiEventDispatcherGlib::processEvents (this=0x9e6b4a0, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#72 0x06523059 in QEventLoop::processEvents (this=0xbf922430, flags=) at kernel/qeventloop.cpp:149
#73 0x065234aa in QEventLoop::exec (this=0xbf922430, flags=...) at kernel/qeventloop.cpp:201
#74 0x014d94f3 in QDialog::exec (this=0xaf2e950) at dialogs/qdialog.cpp:546
#75 0x00b22483 in KateMainWindow::slotConfigure (this=0xa0929f8) at ../../../kate/app/katemainwindow.cpp:731
#76 0x00b2bc0d in KateMainWindow::qt_metacall (this=0xa0929f8, _c=QMetaObject::InvokeMetaMethod, _id=55, _a=0xbf9225c8) at ./katemainwindow.moc:177
#77 0x06529c9a in QMetaObject::metacall (object=0xa0929f8, cl=3214017556, idx=55, argv=0xbf9225c8) at kernel/qmetaobject.cpp:237
#78 0x065383d5 in QMetaObject::activate (sender=0xa0c2a30, m=0x18c2d58, local_signal_index=1, argv=0xbf9225c8) at kernel/qobject.cpp:3293
#79 0x00f93bd9 in QAction::triggered (this=0xa0c2a30, _t1=false) at .moc/release-shared/moc_qaction.cpp:263
#80 0x00f95dcc in QAction::activate (this=0xa0c2a30, event=QAction::Trigger) at kernel/qaction.cpp:1255
#81 0x0143960c in QMenuPrivate::activateCausedStack (this=0xa1bba28, causedStack=..., action=0xa0c2a30, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1011
#82 0x0143fabb in QMenuPrivate::activateAction (this=0xa1bba28, action=0xa0c2a30, action_e=QAction::Trigger, self=<value optimized out>) at widgets/qmenu.cpp:1103
#83 0x01440ac7 in QMenu::mouseReleaseEvent (this=0xa1b43a8, e=0xbf922e60) at widgets/qmenu.cpp:2312
#84 0x02f11f65 in KMenu::mouseReleaseEvent (this=0xa1b43a8, e=0xbf922e60) at ../../kdeui/widgets/kmenu.cpp:471
#85 0x00ff87f8 in QWidget::event (this=0xa1b43a8, event=0xbf922e60) at kernel/qwidget.cpp:7998
#86 0x014420cc in QMenu::event (this=0xa1b43a8, e=0xbf922e60) at widgets/qmenu.cpp:2414
#87 0x00f9a4dc in QApplicationPrivate::notify_helper (this=0x9e89c78, receiver=0xa1b43a8, e=0xbf922e60) at kernel/qapplication.cpp:4300
#88 0x00fa19f7 in QApplication::notify (this=0xbf923764, receiver=0xa1b43a8, e=0xbf922e60) at kernel/qapplication.cpp:3865
#89 0x02e1bf2a in KApplication::notify (this=0xbf923764, receiver=0xa1b43a8, event=0xbf922e60) at ../../kdeui/kernel/kapplication.cpp:302
#90 0x06524a3b in QCoreApplication::notifyInternal (this=0xbf923764, receiver=0xa1b43a8, event=0xbf922e60) at kernel/qcoreapplication.cpp:704
#91 0x00fa0952 in QCoreApplication::sendEvent (receiver=0xa1b43a8, event=0xbf922e60, alienWidget=0x0, nativeWidget=0xa1b43a8, buttonDown=0x18de058, lastMouseReceiver=..., spontaneous=true)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#92 QApplicationPrivate::sendMouseEvent (receiver=0xa1b43a8, event=0xbf922e60, alienWidget=0x0, nativeWidget=0xa1b43a8, buttonDown=0x18de058, lastMouseReceiver=..., spontaneous=true)
    at kernel/qapplication.cpp:2965
#93 0x0102c5cf in QETWidget::translateMouseEvent (this=0xa1b43a8, event=0xbf92337c) at kernel/qapplication_x11.cpp:4302
#94 0x0102b511 in QApplication::x11ProcessEvent (this=0xbf923764, event=0xbf92337c) at kernel/qapplication_x11.cpp:3379
#95 0x0105a60a in x11EventSourceDispatch (s=0x9e8bdf8, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#96 0x0048e5e5 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#97 0x004922d8 in ?? () from /lib/libglib-2.0.so.0
#98 0x004924b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#99 0x065505d5 in QEventDispatcherGlib::processEvents (this=0x9e6b4a0, flags=...) at kernel/qeventdispatcher_glib.cpp:412
#100 0x0105a135 in QGuiEventDispatcherGlib::processEvents (this=0x9e6b4a0, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#101 0x06523059 in QEventLoop::processEvents (this=0xbf923674, flags=) at kernel/qeventloop.cpp:149
#102 0x065234aa in QEventLoop::exec (this=0xbf923674, flags=...) at kernel/qeventloop.cpp:201
#103 0x0652769f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#104 0x00f9a577 in QApplication::exec () at kernel/qapplication.cpp:3579
#105 0x0063da65 in kdemain (argc=3, argv=0xbf923e04) at ../../../kate/app/katemain.cpp:377
#106 0x080485fb in main (argc=3, argv=0xbf923e04) at kate_dummy.cpp:3

Reported using DrKonqi
Comment 1 Chaos A.D. 2010-09-01 20:09:21 UTC
This crash also reproduced when using kate as part of KDevelop
Comment 2 Dario Andres 2010-11-21 17:42:42 UTC
[Comment from a bug triager]
I can reproduce this crash here using KDE SC 4.5.3

Steps to reproduce:
- Open Kate
- Go to Settings/Configure Kate
- Go to Open/Save
- Go to the Modes & Filetypes tab
The selected Filetype in the ComboBox is "Normal". The fields below are empty.
- Press the "magic wand" button near the "MIME types" line edit, near the bottom of the dialog
- In the new dialog, look for the "MATLAB script/function" item in the list (it is inside the "text" class item)
- Click the "Edit" button on the bottom of the dialog
A KEditFileType dialog appears
- Change the description of the type (it may be any string; the reporter suggested "Octave script/function")
- Click Apply or OK
Kate will crash on background while the file types are being updated
The KEditFileType dialog will properly close after that

- Backtrace (KDE SC 4.5.3):

Application: Kate (kdeinit4), signal: Segmentation fault
[KCrash Handler]
#7  0xb58ea160 in KMimeTypeChooserPrivate::_k_slotCurrentChanged (this=0xa266420, item=0x0) at /home/dario/ArchPKG/abs/kdelibs/src/kdelibs-4.5.3/kio/kio/kmimetypechooser.cpp:220
#8  0xb58eb582 in KMimeTypeChooser::qt_metacall (this=0xa266480, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xbfde97a4) at /home/dario/ArchPKG/abs/kdelibs/src/build/kio/kmimetypechooser.moc:77
#9  0xb6fd3c4a in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/libQtCore.so.4
#10 0xb6fe3a9f in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#11 0xb6b06ab9 in QTreeWidget::currentItemChanged(QTreeWidgetItem*, QTreeWidgetItem*) () from /usr/lib/libQtGui.so.4
#12 0xb6b06b6a in ?? () from /usr/lib/libQtGui.so.4
#13 0xb6b0f7ef in QTreeWidget::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libQtGui.so.4
#14 0xb6fd3c4a in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/libQtCore.so.4
#15 0xb6fe3a9f in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#16 0xb6ae33a9 in QItemSelectionModel::currentChanged(QModelIndex const&, QModelIndex const&) () from /usr/lib/libQtGui.so.4
#17 0xb6ae7340 in QItemSelectionModel::clear() () from /usr/lib/libQtGui.so.4
#18 0xb6b0991d in QTreeWidget::clear() () from /usr/lib/libQtGui.so.4
#19 0xb58eac9b in KMimeTypeChooserPrivate::loadMimeTypes (this=0xa266420, _selectedMimeTypes=...) at /home/dario/ArchPKG/abs/kdelibs/src/kdelibs-4.5.3/kio/kio/kmimetypechooser.cpp:133
#20 0xb58eb4ba in KMimeTypeChooserPrivate::_k_slotSycocaDatabaseChanged (this=0xa266420, changedResources=...) at /home/dario/ArchPKG/abs/kdelibs/src/kdelibs-4.5.3/kio/kio/kmimetypechooser.cpp:226
#21 0xb58eb560 in KMimeTypeChooser::qt_metacall (this=0xa266480, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xbfde9be8) at /home/dario/ArchPKG/abs/kdelibs/src/build/kio/kmimetypechooser.moc:78
#22 0xb6fd3c4a in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/libQtCore.so.4
#23 0xb6fe3a9f in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#24 0xb72df0e3 in KSycoca::databaseChanged (this=0x9c80078, _t1=...) at /home/dario/ArchPKG/abs/kdelibs/src/build/kdecore/ksycoca.moc:98
#25 0xb72e074b in KSycoca::notifyDatabaseChanged (this=0x9c80078, changeList=...) at /home/dario/ArchPKG/abs/kdelibs/src/kdelibs-4.5.3/kdecore/sycoca/ksycoca.cpp:361
#26 0xb72e07dd in KSycoca::qt_metacall (this=0x9c80078, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xbfde9ce4) at /home/dario/ArchPKG/abs/kdelibs/src/build/kdecore/ksycoca.moc:80
#27 0xb604798a in ?? () from /usr/lib/libQtDBus.so.4
#28 0xb60533d7 in ?? () from /usr/lib/libQtDBus.so.4
#29 0xb6fe294f in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
#30 0xb6508854 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#31 0xb650d43e in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#32 0xb764addb in KApplication::notify (this=0xbfdeca04, receiver=0x9c80078, event=0x9ccb138) at /home/dario/ArchPKG/abs/kdelibs/src/kdelibs-4.5.3/kdeui/kernel/kapplication.cpp:310
#33 0xb6fcd5cb in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#34 0xb6fd11e5 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/libQtCore.so.4
#35 0xb6fd13bd in QCoreApplication::sendPostedEvents(QObject*, int) () from /usr/lib/libQtCore.so.4
#36 0xb6ffaa34 in ?? () from /usr/lib/libQtCore.so.4
#37 0xb5dd5b72 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#38 0xb5dd6350 in ?? () from /usr/lib/libglib-2.0.so.0
#39 0xb5dd6604 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#40 0xb6ffabac in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#41 0xb65ba265 in ?? () from /usr/lib/libQtGui.so.4
#42 0xb6fcc789 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#43 0xb6fcca2a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#44 0xb6a2d073 in QDialog::exec() () from /usr/lib/libQtGui.so.4
#45 0xb0dac0c8 in ModeConfigPage::showMTDlg (this=0xa164480) at /home/dario/ArchPKG/abs/kdelibs/src/kdelibs-4.5.3/kate/mode/katemodeconfigpage.cpp:291
#46 0xb0dadc2b in ModeConfigPage::qt_metacall (this=0xa164480, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xbfdea758) at /home/dario/ArchPKG/abs/kdelibs/src/build/kate/katemodeconfigpage.moc:93
#47 0xb6fd3c4a in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/libQtCore.so.4
#48 0xb6fe3a9f in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#49 0xb6bfd8d9 in QAbstractButton::clicked(bool) () from /usr/lib/libQtGui.so.4
#50 0xb690e219 in ?? () from /usr/lib/libQtGui.so.4
#51 0xb690fad4 in ?? () from /usr/lib/libQtGui.so.4
#52 0xb690fd8e in QAbstractButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/libQtGui.so.4
#53 0xb69e28cc in QToolButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/libQtGui.so.4
#54 0xb656155a in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#55 0xb690edce in QAbstractButton::event(QEvent*) () from /usr/lib/libQtGui.so.4
#56 0xb69e404a in QToolButton::event(QEvent*) () from /usr/lib/libQtGui.so.4
#57 0xb6508854 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#58 0xb650ddf9 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#59 0xb764addb in KApplication::notify (this=0xbfdeca04, receiver=0xa1ae1f8, event=0xbfdeaf98) at /home/dario/ArchPKG/abs/kdelibs/src/kdelibs-4.5.3/kdeui/kernel/kapplication.cpp:310
#60 0xb6fcd5cb in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#61 0xb65097c7 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib/libQtGui.so.4
#62 0xb659232c in ?? () from /usr/lib/libQtGui.so.4
#63 0xb6590eaf in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
#64 0xb65ba652 in ?? () from /usr/lib/libQtGui.so.4
#65 0xb5dd5b72 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#66 0xb5dd6350 in ?? () from /usr/lib/libglib-2.0.so.0
#67 0xb5dd6604 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#68 0xb6ffabac in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#69 0xb65ba265 in ?? () from /usr/lib/libQtGui.so.4
#70 0xb6fcc789 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#71 0xb6fcca2a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#72 0xb6a2d073 in QDialog::exec() () from /usr/lib/libQtGui.so.4
#73 0xb3594810 in ?? () from /usr/lib/libkateinterfaces.so.4
#74 0xb3594861 in ?? () from /usr/lib/libkateinterfaces.so.4
#75 0xb359c11d in ?? () from /usr/lib/libkateinterfaces.so.4
#76 0xb6fd3c4a in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/libQtCore.so.4
#77 0xb6fe3a9f in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#78 0xb65016a9 in QAction::triggered(bool) () from /usr/lib/libQtGui.so.4
#79 0xb650190b in QAction::activate(QAction::ActionEvent) () from /usr/lib/libQtGui.so.4
#80 0xb6999dfd in ?? () from /usr/lib/libQtGui.so.4
#81 0xb69a08e3 in ?? () from /usr/lib/libQtGui.so.4
#82 0xb69a17be in QMenu::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/libQtGui.so.4
#83 0xb773d4cc in KMenu::mouseReleaseEvent (this=0x9e504f8, e=0xbfdec208) at /home/dario/ArchPKG/abs/kdelibs/src/kdelibs-4.5.3/kdeui/widgets/kmenu.cpp:471
#84 0xb656155a in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#85 0xb69a1c97 in QMenu::event(QEvent*) () from /usr/lib/libQtGui.so.4
#86 0xb6508854 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#87 0xb650ddf9 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#88 0xb764addb in KApplication::notify (this=0xbfdeca04, receiver=0x9e504f8, event=0xbfdec208) at /home/dario/ArchPKG/abs/kdelibs/src/kdelibs-4.5.3/kdeui/kernel/kapplication.cpp:310
#89 0xb6fcd5cb in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#90 0xb65097c7 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib/libQtGui.so.4
#91 0xb6592504 in ?? () from /usr/lib/libQtGui.so.4
#92 0xb6590eaf in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
#93 0xb65ba652 in ?? () from /usr/lib/libQtGui.so.4
#94 0xb5dd5b72 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#95 0xb5dd6350 in ?? () from /usr/lib/libglib-2.0.so.0
#96 0xb5dd6604 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#97 0xb6ffabac in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#98 0xb65ba265 in ?? () from /usr/lib/libQtGui.so.4
#99 0xb6fcc789 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#100 0xb6fcca2a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#101 0xb6fd147f in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#102 0xb65066a7 in QApplication::exec() () from /usr/lib/libQtGui.so.4
#103 0xb57bf395 in kdemain () from /usr/lib/libkdeinit4_kate.so
#104 0x0804e932 in launch (argc=2, _name=0x9befadc "/usr/bin/kate", args=<value optimized out>, cwd=0x0, envc=1, envs=<value optimized out>, reset_env=false, tty=0x0, avoid_loops=false, startup_id_str=0x9befb02 "zephyrStation;1290357391;353070;7619_TIME13954095") at /home/dario/ArchPKG/abs/kdelibs/src/kdelibs-4.5.3/kinit/kinit.cpp:723
#105 0x0804f6cd in handle_launcher_request (sock=<value optimized out>, who=0x1 <Address 0x1 out of bounds>) at /home/dario/ArchPKG/abs/kdelibs/src/kdelibs-4.5.3/kinit/kinit.cpp:1215
#106 0x0804fa6c in handle_requests (waitForPid=0) at /home/dario/ArchPKG/abs/kdelibs/src/kdelibs-4.5.3/kinit/kinit.cpp:1408
#107 0x0804ffd3 in main (argc=0, argv=0xbfde97c4, envp=0xbfde97c8) at /home/dario/ArchPKG/abs/kdelibs/src/kdelibs-4.5.3/kinit/kinit.cpp:1892
Comment 3 caulier.gilles 2011-11-21 15:14:28 UTC
*** Bug 287132 has been marked as a duplicate of this bug. ***
Comment 4 David Faure 2013-02-07 17:49:26 UTC
Git commit 7f142675d588fd3223afcf791e0256f69f566308 by David Faure.
Committed on 07/02/2013 at 18:52.
Pushed by dfaure into branch 'KDE/4.10'.

Fix crash when current item is null
FIXED-IN: 4.10.1

M  +1    -1    kio/kio/kmimetypechooser.cpp

http://commits.kde.org/kdelibs/7f142675d588fd3223afcf791e0256f69f566308